#include <stdio.h>      
#include <stdlib.h>     



int main ()
{
  int n,k;
  int l,r;
  scanf("%d %d",&n,&k);
  int* arr=malloc(sizeof(int)*n);
  for(int i=0;i<n;i++){
    scanf("%d",&arr[i]);
    if (arr[i]==k){
      l=1;
    }
    else if (l==1){
      l=0;
      r=arr[i];
    }
    if(i==0){
      r=arr[0];
    }
  }
  printf("%d",r);
  /*
  for(int i=0;i<n;i++){
    printf("%d",arr[i]);
    if (arr[i]==k){
      printf("-->");
    }
  }*/
}